> For the complete documentation index, see [llms.txt](https://docs.r0app.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.r0app.com/api/introduction/throttling-rate-limits.md).

# Throttling / rate limits

Our API implements rate limiting to ensure optimal performance and protect the service from potential abuse or overload. This document will explain our API rate limit policy and how it is communicated to our users.

### Rate limit policy

Each client can make up to 60 requests per minute to all endpoints. However, for the file upload endpoint, this limit is further reduced to 15 uploads per minute. This limitation helps us balance the heavier resource requirements of file uploads with the overall performance of our API.

### Communicating rate limit

To keep users informed about their remaining quota, we include a X-Rate-Limit-Remaining header in the response of every API request. This header contains the number of requests that the client can still make within the current 60-second window.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.r0app.com/api/introduction/throttling-rate-limits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
